SlicePredicate (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class SlicePredicate

    java.lang.Object
      org.apache.cassandra.thrift.SlicePredicate

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<SlicePredicate>, org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>

    public class SlicePredicate

extends java.lang.Object
implements org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>, java.io.Serializable, java.lang.Cloneable

A SlicePredicate is similar to a mathematic predicate (see http://en.wikipedia.org/wiki/Predicate_(mathematical_logic)), which is described as "a property that the elements of a set have in common." SlicePredicate's in Cassandra are described with either a list of column_names or a SliceRange. If column_names is specified, slice_range is ignored.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SlicePredicate._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`java.util.List<java.nio.ByteBuffer>` | `column_names`
`static java.util.Map<SlicePredicate._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`SliceRange` | `slice_range`

Constructor Summary
`SlicePredicate()`
`SlicePredicate(SlicePredicate other)` Performs a deep copy on other.

Method Summary
`void` | `addToColumn_names(java.nio.ByteBuffer elem)`
`void` | `clear()`
`int` | `compareTo(SlicePredicate other)`
`SlicePredicate` | `deepCopy()`
`boolean` | `equals(java.lang.Object that)`
`boolean` | `equals(SlicePredicate that)`
`SlicePredicate._Fields` | `fieldForId(int fieldId)`
`java.util.List<java.nio.ByteBuffer>` | `getColumn_names()`
`java.util.Iterator<java.nio.ByteBuffer>` | `getColumn_namesIterator()`
`int` | `getColumn_namesSize()`
`java.lang.Object` | `getFieldValue(SlicePredicate._Fields field)`
`SliceRange` | `getSlice_range()`
`int` | `hashCode()`
`boolean` | `isSet(SlicePredicate._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetColumn_names()` Returns true if field column_names is set (has been assigned a value) and false otherwise
`boolean` | `isSetSlice_range()` Returns true if field slice_range is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`SlicePredicate` | `setColumn_names(java.util.List<java.nio.ByteBuffer> column_names)`
`void` | `setColumn_namesIsSet(boolean value)`
`void` | `setFieldValue(SlicePredicate._Fields field, java.lang.Object value)`
`SlicePredicate` | `setSlice_range(SliceRange slice_range)`
`void` | `setSlice_rangeIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetColumn_names()`
`void` | `unsetSlice_range()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### column_names

    public java.util.List<java.nio.ByteBuffer> column_names

### slice_range

    public SliceRange slice_range

### metaDataMap

    public static final java.util.Map<SlicePredicate._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### SlicePredicate

    public SlicePredicate()

### SlicePredicate

    public SlicePredicate(SlicePredicate other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public SlicePredicate deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>`

### getColumn_namesSize

    public int getColumn_namesSize()

### getColumn_namesIterator

    public java.util.Iterator<java.nio.ByteBuffer> getColumn_namesIterator()

### addToColumn_names

    public void addToColumn_names(java.nio.ByteBuffer elem)

### getColumn_names

    public java.util.List<java.nio.ByteBuffer> getColumn_names()

### setColumn_names

    public SlicePredicate setColumn_names(java.util.List<java.nio.ByteBuffer> column_names)

### unsetColumn_names

    public void unsetColumn_names()

### isSetColumn_names

    public boolean isSetColumn_names()

  Returns true if field column_names is set (has been assigned a value) and false otherwise

### setColumn_namesIsSet

    public void setColumn_namesIsSet(boolean value)

### getSlice_range

    public SliceRange getSlice_range()

### setSlice_range

    public SlicePredicate setSlice_range(SliceRange slice_range)

### unsetSlice_range

    public void unsetSlice_range()

### isSetSlice_range

    public boolean isSetSlice_range()

  Returns true if field slice_range is set (has been assigned a value) and false otherwise

### setSlice_rangeIsSet

    public void setSlice_rangeIsSet(boolean value)

### setFieldValue

    public void setFieldValue(SlicePredicate._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(SlicePredicate._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>`

### isSet

    public boolean isSet(SlicePredicate._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(SlicePredicate that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(SlicePredicate other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<SlicePredicate>`

### fieldForId

    public SlicePredicate._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<SlicePredicate,SlicePredicate._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation